## mrboom 3.3

=== Makefile ===
#libretro-buildbot

STATIC_LINKING := 0
AR             := ar
GIT_VERSION := " $(shell git rev-parse --short HEAD)"

ifeq ($(platform),)
platform = unix
ifeq ($(shell uname -a),)
   platform = win
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   platform = osx
else ifneq ($(findstring win,$(shell uname -a)),)
   platform = win
endif
endif

CORE_DIR = .

# system platform
system_platform = unix
ifeq ($(shell uname -a),)
	EXE_EXT = .exe
	system_platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
	system_platform = osx
	arch = intel
ifeq ($(shell uname -p),powerpc)
	arch = ppc
	CFLAGS += -DMSB_FIRST
endif
else ifneq ($(findstring MINGW,$(shell uname -a)),)
	system_platform = win
else ifeq ($(shell uname -p),ppc)
	arch = ppc
	CFLAGS += -DMSB_FIRST
endif

TARGET_NAME := mrboom
LIBM		= -lm

ifeq ($(ARCHFLAGS),)
ifeq ($(archs),ppc)
   ARCHFLAGS = -arch ppc -arch ppc64
else
   ARCHFLAGS = -arch i386 -arch x86_64
endif
endif

ifneq ($(SANITIZER),)
    CFLAGS   := -fsanitize=$(SANITIZER) $(CFLAGS)
    LDFLAGS  := -fsanitize=$(SANITIZER) $(LDFLAGS)
endif

ifeq ($(platform), osx)
ifndef ($(NOUNIVERSAL))
   CFLAGS += $(ARCHFLAGS)
   LFLAGS += $(ARCHFLAGS)
   LDFLAGS += -L/usr/local/lib
endif
endif

ifeq ($(STATIC_LINKING), 1)
EXT := a
endif

ifeq ($(platform), unix)
	EXT ?= so
   TARGET := $(TARGET_NAME)_libretro.$(EXT)
   fpic := -fPIC
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
else ifeq ($(platform), linux-portable)
   TARGET := $(TARGET_NAME)_libretro.$(EXT)
   fpic := -fPIC -nostdlib
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T
	LIBM :=

# OS X
else ifneq (,$(findstring osx,$(platform)))
   TARGET := $(TARGET_NAME)_libretro.dylib
   fpic := -fPIC
   SHARED := -dynamiclib

# iOS
else ifneq (,$(findstring ios,$(platform)))
   TARGET := $(TARGET_NAME)_libretro_ios.dylib
	fpic := -fPIC
	SHARED := -dynamiclib

ifeq ($(IOSSDK),)
   IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
endif

	DEFINES := -DIOS
	CC = cc -arch armv7 -isysroot $(IOSSDK)
	CXX = c++ -arch armv7 -isysroot $(IOSSDK)
ifeq ($(platform),ios9)
CC     += -miphoneos-version-min=8.0
CFLAGS += -miphoneos-version-min=8.0
else
CC     += -miphoneos-version-min=5.0
CFLAGS += -miphoneos-version-min=5.0
endif

# QNX
else ifneq (,$(findstring qnx,$(platform)))
	TARGET := $(TARGET_NAME)_libretro_qnx.so
   fpic := -fPIC
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
else ifeq ($(platform), emscripten)
   TARGET := $(TARGET_NAME)_libretro_emscripten.bc
   fpic := -fPIC
   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined

# Vita
else ifeq ($(platform), vita)
   TARGET := $(TARGET_NAME)_vita.a
   CC = arm-vita-eabi-gcc
   AR = arm-vita-eabi-ar
   CFLAGS += -Wl,-q -Wall -O3
	STATIC_LINKING = 1
# Nintendo Game Cube
else ifeq ($(platform), ngc)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = powerpc-eabi-gcc$(EXE_EXT)
   CXX = powerpc-eabi-g++$(EXE_EXT)
   AR = powerpc-eabi-ar$(EXE_EXT)
   CFLAGS += -DGEKKO -DHW_DOL -mrvl -mcpu=750 -meabi -mhard-float -DMSB_FIRST
   CFLAGS += -DUSE_FILE32API
   CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
   STATIC_LINKING = 1

# Nintendo Wii
else ifeq ($(platform), wii)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = powerpc-eabi-gcc$(EXE_EXT)
   CXX = powerpc-eabi-g++$(EXE_EXT)
   AR = powerpc-eabi-ar$(EXE_EXT)
   CFLAGS += -DGEKKO -DHW_RVL -mrvl -mcpu=750 -meabi -mhard-float -DMSB_FIRST
   CFLAGS += -DUSE_FILE32API
   CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
   STATIC_LINKING = 1

# Nintendo WiiU
else ifeq ($(platform), wiiu)
   TARGET := $(TARGET_NAME)_libretro_$(platform).a
   CC = powerpc-eabi-gcc$(EXE_EXT)
   CXX = powerpc-eabi-g++$(EXE_EXT)
   AR = powerpc-eabi-ar$(EXE_EXT)
   CFLAGS += -mwup -mcpu=750 -meabi -mhard-float -DMSB_FIRST
   CFLAGS += -DUSE_FILE32API
   CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
   STATIC_LINKING = 1
else
   CC = gcc
   TARGET := $(TARGET_NAME)_libretro.dll
   SHARED := -shared -static-libgcc -static-libstdc++ -s -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
endif

LDFLAGS += $(LIBM)

ifneq ($(DEBUG),)
CFLAGS += -g -pg -DDEBUG
LDFLAGS += -g -pg
else
CFLAGS += -O3
endif

CFLAGS += -DMRBOOM -DGIT_VERSION=\"$(GIT_VERSION)\"

ifneq ($(LIBSDL2),)
CFLAGS += -D__LIBSDL2__
LDFLAGS += -lSDL2 -lSDL2_mixer -lminizip -lz
else
CFLAGS += -D__LIBRETRO__
endif

include Makefile.common

ifneq ($(TESTS),)
ifeq ($(platform), win)
LDFLAGS += -mwindows
else
ifneq ($(platform), osx)
LDFLAGS += -lrt
endif
endif
ifeq ($(TESTS), 2)
CFLAGS += -DAITEST
endif
endif

OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)

CXXFLAGS := $(CFLAGS) $(INCFLAGS) -std=c++98 -Wall -pedantic $(fpic)
CFLAGS += $(INCFLAGS) -Wall -pedantic $(fpic)

ifneq (,$(findstring qnx,$(platform)))
CFLAGS += -Wc,-std=c99
else
CFLAGS += -std=gnu99
endif

all: $(TARGET)

$(TARGET): $(OBJECTS)
ifeq ($(STATIC_LINKING), 1)
	$(AR) rcs $@ $(OBJECTS)
else
	$(CXX) $(fpic) $(SHARED) $(INCLUDES) -o $@ $(OBJECTS) $(LDFLAGS)
endif

%.o: %.c
	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<

testtool: $(OBJECTS)
	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME)-test.out $(LDFLAGS)

mrboom: $(OBJECTS)
	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)

CLEAN_TARGETS = $(OBJECTS)
ifneq ($(TESTS),)
CLEAN_TARGETS += $(TARGET)
endif

clean:
	rm -f *.o */*.o */*/*.o

.PHONY: clean

## mrboom 3.1.127

=== debian/changelog ===
mrboom (3.1.127-1) unstable; urgency=medium

  * New upstream release.
  * Apply patch to fix .desktop file. (Closes: #859699)
  * Update debian/copyright. (Closes: #859563)
  * Drop debian/mrboom.6.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 19 Apr 2017 13:14:46 +0200

mrboom (3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #858622)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 Mar 2017 16:20:40 +0200

=== debian/control ===
Source: mrboom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 9), libsdl2-dev, libsdl2-mixer-dev, libminizip-dev
Standards-Version: 3.9.8
Homepage: http://mrboom.mumblecore.org/

Package: mrboom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 8 players Bomberman
 This is an SDL2 version of the original 1999 version of Mr. Boom. The goal of
 the game is to bomb away your enemies and other players.

## mrboom 3.2.157

=== debian/changelog ===
mrboom (3.2.157-1) unstable; urgency=medium

  * New upstream version.
  * Really fix .desktop file. (Closes: #859699)
  * Bump standards version to 4.0.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 12 Jun 2017 08:44:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 9), libsdl2-dev, libsdl2-mixer-dev, libminizip-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) mrboom LIBSDL2=1
	mv mrboom.out mrboom
# STATIC_LINKING=1
#        dh_auto_build

override_dh_auto_test:
	@echo skipping test

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/libretro/mrboom/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## mrboom 3.3

=== debian/changelog ===
mrboom (3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 03 Jul 2017 16:12:37 +0200

## mrboom 4.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,21 @@
 
 STATIC_LINKING := 0
 AR             := ar
+INSTALL        := install
+RM             := rm
+STRIP          := strip
 GIT_VERSION := " $(shell git rev-parse --short HEAD)"
+BINDIR	       ?= bin
+LIBDIR         ?= lib
+DATADIR        ?= share
+LIBRETRO_DIR   ?= libretro
+MANDIR := man/man6
+CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
+CFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CFLAGS))
+CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CXXFLAGS))
+CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CXXFLAGS))
+CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CPPFLAGS))
+CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CPPFLAGS))
 
 ifeq ($(platform),)
 platform = unix
@@ -27,6 +41,8 @@
 else ifneq ($(findstring Darwin,$(shell uname -a)),)
 	system_platform = osx
 	arch = intel
+else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
+	system_platform = freebsd
 ifeq ($(shell uname -p),powerpc)
 	arch = ppc
 	CFLAGS += -DMSB_FIRST
@@ -58,7 +74,10 @@
 ifndef ($(NOUNIVERSAL))
    CFLAGS += $(ARCHFLAGS)
    LFLAGS += $(ARCHFLAGS)
+ifneq ($(LIBSDL2),)
+   CFLAGS += -I/usr/local/include
    LDFLAGS += -L/usr/local/lib
+endif
 endif
 endif
 
@@ -82,26 +101,30 @@
    TARGET := $(TARGET_NAME)_libretro.dylib
    fpic := -fPIC
    SHARED := -dynamiclib
-
+   PREFIX := /usr/local
+   MANDIR := share/man/man6
 # iOS
 else ifneq (,$(findstring ios,$(platform)))
    TARGET := $(TARGET_NAME)_libretro_ios.dylib
 	fpic := -fPIC
 	SHARED := -dynamiclib
-
 ifeq ($(IOSSDK),)
    IOSSDK := $(shell xcodebuild -version -sdk iphoneos Path)
 endif
-
 	DEFINES := -DIOS
+  ifeq ($(platform),ios-arm64)
+  	CC = cc -arch arm64 -isysroot $(IOSSDK)
+  	CXX = c++ -arch arm64 -isysroot $(IOSSDK)
+  else	
 	CC = cc -arch armv7 -isysroot $(IOSSDK)
 	CXX = c++ -arch armv7 -isysroot $(IOSSDK)
-ifeq ($(platform),ios9)
+endif
+ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
 CC     += -miphoneos-version-min=8.0
 CFLAGS += -miphoneos-version-min=8.0
 else
 CC     += -miphoneos-version-min=5.0
-CFLAGS += -miphoneos-version-min=5.0
+CFLAGS += -miphoneos-version-min=5.0 -DIOS
 endif
 
 # QNX
@@ -165,16 +188,26 @@
 CFLAGS += -g -pg -DDEBUG
 LDFLAGS += -g -pg
 else
+ifneq ($(system_platform),freebsd)
 CFLAGS += -O3
 endif
+endif
 
 CFLAGS += -DMRBOOM -DGIT_VERSION=\"$(GIT_VERSION)\"
 
+SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug 
+ifneq ($(MINGW),)
+PATH := /${MINGW}/bin:${PATH}
+CFLAGS += -D__LIBSDL2__ -I/${MINGW}/include
+LDFLAGS += Assets/mrboom.res -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lmad -lbz2 -lz -lstdc++ -lwinpthread 
+LDFLAGS += -mwindows -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
+else
 ifneq ($(LIBSDL2),)
 CFLAGS += -D__LIBSDL2__
-LDFLAGS += -lSDL2 -lSDL2_mixer -lminizip -lz
+LDFLAGS += ${SDL2LIBS}
 else
 CFLAGS += -D__LIBRETRO__
+endif
 endif
 
 include Makefile.common
@@ -215,8 +248,11 @@
 %.o: %.c
 	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
 
-testtool: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME)-test.out $(LDFLAGS)
+%.res: %.rc
+	windres $< -O coff -o $@
+
+mrboomTest: $(OBJECTS)
+	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
 
 mrboom: $(OBJECTS)
 	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
@@ -229,4 +265,23 @@
 clean:
 	rm -f *.o */*.o */*/*.o
 
-.PHONY: clean
+strip:
+	$(STRIP) $(TARGET_NAME).out
+
+install: strip
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(BINDIR)
+	$(INSTALL) -m 555 $(TARGET_NAME).out $(DESTDIR)$(PREFIX)/$(BINDIR)/$(TARGET_NAME)
+	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(MANDIR)
+	$(INSTALL) -m 644 Assets/$(TARGET_NAME).6 $(DESTDIR)$(PREFIX)/$(MANDIR) 
+
+install-libretro:
+	$(INSTALL) -D -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
+	$(INSTALL) -D -m 644 Assets/mrboom.png $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
+	$(INSTALL) -D -m 644 Assets/mrboom.libretro $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
+
+uninstall-libretro:
+	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
+	$(RM) $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
+	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
+
+.PHONY: clean install-libretro uninstall-libretro

=== debian/changelog ===
mrboom (4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.1.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 06 Dec 2017 14:17:20 +0100

mrboom (3.8-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 31 Oct 2017 13:05:21 +0100

mrboom (3.7-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 10.
  * Bump standards version to 4.1.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 02 Aug 2017 11:20:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 9), libsdl2-dev, libsdl2-mixer-dev, libminizip-dev
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), libsdl2-dev, libsdl2-mixer-dev,
+ libminizip-dev, libmodplug-dev
+Standards-Version: 4.1.1
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE = 1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-fortify
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -17,9 +17,12 @@
 
 override_dh_auto_build:
 	$(MAKE) mrboom LIBSDL2=1
-	mv mrboom.out mrboom
+#	mv mrboom.out mrboom
 # STATIC_LINKING=1
 #        dh_auto_build
 
 override_dh_auto_test:
 	@echo skipping test
+
+override_dh_auto_install:
+	$(MAKE) install DESTDIR=debian/mrboom PREFIX=/usr MANDIR=share/man/man6 BINDIR=games

## mrboom 4.2

=== Makefile ===
--- 
+++ 
@@ -13,10 +13,13 @@
 MANDIR := man/man6
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CFLAGS))
 CFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CFLAGS))
+CFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CFLAGS))
 CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CXXFLAGS))
 CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CXXFLAGS))
+CXXFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CXXFLAGS))
 CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=1,$(CPPFLAGS))
 CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE=2,$(CPPFLAGS))
+CPPFLAGS := $(filter-out -D_FORTIFY_SOURCE,$(CPPFLAGS))
 
 ifeq ($(platform),)
 platform = unix
@@ -176,6 +179,14 @@
    CFLAGS += -DUSE_FILE32API
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
+
+# Nintendo Switch (libtransistor)
+else ifeq ($(platform), switch)
+   TARGET := $(TARGET_NAME)_libretro_$(platform).a
+   include $(LIBTRANSISTOR_HOME)/libtransistor.mk
+   CFLAGS += $(CXX_FLAGS)
+   STATIC_LINKING=1
+
 else
    CC = gcc
    TARGET := $(TARGET_NAME)_libretro.dll
@@ -195,19 +206,22 @@
 
 CFLAGS += -DMRBOOM -DGIT_VERSION=\"$(GIT_VERSION)\"
 
-SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug 
+SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
+
+ifneq ($(LIBSDL2),)
+CFLAGS += -D__LIBSDL2__ -Isdl2/xBRZ 
 ifneq ($(MINGW),)
 PATH := /${MINGW}/bin:${PATH}
-CFLAGS += -D__LIBSDL2__ -I/${MINGW}/include
+CFLAGS += -I/${MINGW}/include
 LDFLAGS += Assets/mrboom.res -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lmad -lbz2 -lz -lstdc++ -lwinpthread 
-LDFLAGS += -mwindows -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
+LDFLAGS += -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
 else
 ifneq ($(LIBSDL2),)
-CFLAGS += -D__LIBSDL2__
 LDFLAGS += ${SDL2LIBS}
+endif
+endif
 else
 CFLAGS += -D__LIBRETRO__
-endif
 endif
 
 include Makefile.common
@@ -227,7 +241,18 @@
 
 OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
 
-CXXFLAGS := $(CFLAGS) $(INCFLAGS) -std=c++98 -Wall -pedantic $(fpic)
+CXXFLAGS := $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
+
+ifneq ($(LIBSDL2),)
+CXXFLAGS += -std=c++11
+else
+CXXFLAGS += -std=c++98
+endif
+
+ifneq ($(SCREENSHOTS),)
+CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
+endif
+
 CFLAGS += $(INCFLAGS) -Wall -pedantic $(fpic)
 
 ifneq (,$(findstring qnx,$(platform)))

=== debian/changelog ===
mrboom (4.2-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 07 Feb 2018 20:22:43 +0100

mrboom (4.1-2) unstable; urgency=medium

  * debian/watch: updated.
  * Bump standards version to 4.1.3.
  * Bump debhelper version to 11.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 23 Jan 2018 09:52:46 +0100

## mrboom 4.3

=== debian/changelog ===
mrboom (4.3-1) unstable; urgency=medium

  * New upstream version.
  * Install upstream AppStream data.
  * debian/copyright: added missing author.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 18 Feb 2018 14:47:56 +0100

## mrboom 4.4

=== Makefile ===
--- 
+++ 
@@ -187,6 +187,58 @@
    CFLAGS += $(CXX_FLAGS)
    STATIC_LINKING=1
 
+# Windows MSVC 2003 Xbox 1
+else ifeq ($(platform), xbox1_msvc2003)
+TARGET := $(TARGET_NAME)_libretro_xdk1.lib
+CC  = CL.exe
+CXX  = CL.exe
+LD   = lib.exe
+
+export INCLUDE := $(XDK)/xbox/include
+export LIB := $(XDK)/xbox/lib
+PATH := $(call unixcygpath,$(XDK)/xbox/bin/vc71):$(PATH)
+PSS_STYLE :=2
+CFLAGS   += -D_XBOX -D_XBOX1
+CXXFLAGS += -D_XBOX -D_XBOX1
+STATIC_LINKING=1
+HAS_GCC := 0
+# Windows MSVC 2010 Xbox 360
+else ifeq ($(platform), xbox360_msvc2010)
+TARGET := $(TARGET_NAME)_libretro_xdk360.lib
+MSVCBINDIRPREFIX = $(XEDK)/bin/win32
+CC  = "$(MSVCBINDIRPREFIX)/cl.exe"
+CXX  = "$(MSVCBINDIRPREFIX)/cl.exe"
+LD   = "$(MSVCBINDIRPREFIX)/lib.exe"
+
+export INCLUDE := $(XEDK)/include/xbox
+export LIB := $(XEDK)/lib/xbox
+PSS_STYLE :=2
+FLAGS += -DMSB_FIRST
+CFLAGS   += -D_XBOX -D_XBOX360
+CXXFLAGS += -D_XBOX -D_XBOX360
+STATIC_LINKING=1
+HAS_GCC := 0
+
+# Windows MSVC 2003 x86
+else ifeq ($(platform), windows_msvc2003_x86)
+	CC  = cl.exe
+	CXX = cl.exe
+
+PATH := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin"):$(PATH)
+PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../IDE")
+INCLUDE := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/include")
+LIB := $(shell IFS=$$'\n'; cygpath -w "$(VS71COMNTOOLS)../../Vc7/lib")
+BIN := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin")
+
+WindowsSdkDir := $(INETSDK)
+
+export INCLUDE := $(INCLUDE);$(INETSDK)/Include;src/drivers/libretro/msvc/msvc-2005
+export LIB := $(LIB);$(WindowsSdkDir);$(INETSDK)/Lib
+TARGET := $(TARGET_NAME)_libretro.dll
+PSS_STYLE :=2
+LDFLAGS += -DLL
+CFLAGS += -D_CRT_SECURE_NO_DEPRECATE
+
 else
    CC = gcc
    TARGET := $(TARGET_NAME)_libretro.dll
@@ -204,9 +256,12 @@
 endif
 endif
 
-CFLAGS += -DMRBOOM -DGIT_VERSION=\"$(GIT_VERSION)\"
+CFLAGS += -DMRBOOM -D_FORTIFY_SOURCE=0 -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
+
+include Makefile.common
+OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
 
 ifneq ($(LIBSDL2),)
 CFLAGS += -D__LIBSDL2__ -Isdl2/xBRZ 
@@ -215,6 +270,7 @@
 CFLAGS += -I/${MINGW}/include
 LDFLAGS += Assets/mrboom.res -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lmad -lbz2 -lz -lstdc++ -lwinpthread 
 LDFLAGS += -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
+OBJECTS += Assets/mrboom.res
 else
 ifneq ($(LIBSDL2),)
 LDFLAGS += ${SDL2LIBS}
@@ -224,7 +280,6 @@
 CFLAGS += -D__LIBRETRO__
 endif
 
-include Makefile.common
 
 ifneq ($(TESTS),)
 ifeq ($(platform), win)
@@ -238,8 +293,6 @@
 CFLAGS += -DAITEST
 endif
 endif
-
-OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
 
 CXXFLAGS := $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)

=== debian/changelog ===
mrboom (4.4-2) unstable; urgency=medium

  * Fix AppStream data, desktop file.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 28 Feb 2018 11:14:09 +0100

mrboom (4.4-1) unstable; urgency=medium

  * New upstream version.
  * debian/mrboom.svg: dropped, use upstream icon.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 25 Feb 2018 21:22:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 10), libsdl2-dev, libsdl2-mixer-dev,
+Build-Depends: debhelper (>= 11), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libmodplug-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -17,9 +15,6 @@
 
 override_dh_auto_build:
 	$(MAKE) mrboom LIBSDL2=1
-#	mv mrboom.out mrboom
-# STATIC_LINKING=1
-#        dh_auto_build
 
 override_dh_auto_test:
 	@echo skipping test

## mrboom 4.5

=== Makefile ===
--- 
+++ 
@@ -256,7 +256,7 @@
 endif
 endif
 
-CFLAGS += -DMRBOOM -D_FORTIFY_SOURCE=0 -DGIT_VERSION=\"$(GIT_VERSION)\"
+CFLAGS += -DMRBOOM -D_FORTIFY_SOURCE=0 -DPLATFORM=$(platform) -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
 
@@ -268,7 +268,7 @@
 ifneq ($(MINGW),)
 PATH := /${MINGW}/bin:${PATH}
 CFLAGS += -I/${MINGW}/include
-LDFLAGS += Assets/mrboom.res -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lmad -lbz2 -lz -lstdc++ -lwinpthread 
+LDFLAGS += -L/${MINGW}/lib -static-libgcc -static-libstdc++ -Wl,-Bstatic -lstdc++ -lpthread -lstdc++ -lmingw32 -lSDL2main ${SDL2LIBS} -lbz2 -lz -lstdc++ -lwinpthread 
 LDFLAGS += -Wl,-Bdynamic -lole32 -limm32 -lversion -lOleaut32 -lGdi32 -lWinmm
 OBJECTS += Assets/mrboom.res
 else
@@ -303,6 +303,10 @@
 endif
 
 ifneq ($(SCREENSHOTS),)
+CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
+endif
+
+ifneq ($(STATETESTS),)
 CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
 endif

=== debian/changelog ===
mrboom (4.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.1.4.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 04 May 2018 16:10:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libmodplug-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom

## mrboom 4.7

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,12 @@
 endif
 endif
 
+ifeq ($(platform), win)
+	LDFLAGS += -liphlpapi -lws2_32 
+endif
+
 CORE_DIR = .
+export DEPSDIR := $(CURDIR)/
 
 # system platform
 system_platform = unix
@@ -46,6 +51,8 @@
 	arch = intel
 else ifneq ($(findstring FreeBSD,$(shell uname -o)),)
 	system_platform = freebsd
+else ifneq ($(findstring Haiku,$(shell uname -o)),)
+	system_platform = haiku
 ifeq ($(shell uname -p),powerpc)
 	arch = ppc
 	CFLAGS += -DMSB_FIRST
@@ -58,7 +65,6 @@
 endif
 
 TARGET_NAME := mrboom
-LIBM		= -lm
 
 ifeq ($(ARCHFLAGS),)
 ifeq ($(archs),ppc)
@@ -93,6 +99,9 @@
    TARGET := $(TARGET_NAME)_libretro.$(EXT)
    fpic := -fPIC
    SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
+   ifeq ($(system_platform), haiku)
+	LDFLAGS += -lroot -lnetwork
+   endif
 else ifeq ($(platform), linux-portable)
    TARGET := $(TARGET_NAME)_libretro.$(EXT)
    fpic := -fPIC -nostdlib
@@ -124,10 +133,10 @@
 endif
 ifeq ($(platform),$(filter $(platform),ios9 ios-arm64))
 CC     += -miphoneos-version-min=8.0
-CFLAGS += -miphoneos-version-min=8.0
+CFLAGS += -miphoneos-version-min=8.0 -DDONT_WANT_ARM_OPTIMIZATIONS
 else
 CC     += -miphoneos-version-min=5.0
-CFLAGS += -miphoneos-version-min=5.0 -DIOS
+CFLAGS += -miphoneos-version-min=5.0 -DIOS -DDONT_WANT_ARM_OPTIMIZATIONS
 endif
 
 # QNX
@@ -154,7 +163,7 @@
    CXX = powerpc-eabi-g++$(EXE_EXT)
    AR = powerpc-eabi-ar$(EXE_EXT)
    CFLAGS += -DGEKKO -DHW_DOL -mrvl -mcpu=750 -meabi -mhard-float -DMSB_FIRST
-   CFLAGS += -DUSE_FILE32API
+   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
 
@@ -165,9 +174,24 @@
    CXX = powerpc-eabi-g++$(EXE_EXT)
    AR = powerpc-eabi-ar$(EXE_EXT)
    CFLAGS += -DGEKKO -DHW_RVL -mrvl -mcpu=750 -meabi -mhard-float -DMSB_FIRST
-   CFLAGS += -DUSE_FILE32API
+   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
+
+# Nintendo Switch (libnx)
+else ifeq ($(platform), libnx)
+    include $(DEVKITPRO)/libnx/switch_rules
+    EXT=a
+    TARGET := $(TARGET_NAME)_libretro_$(platform).$(EXT)
+    DEFINES := -DSWITCH=1 -U__linux__ -U__linux
+    CFLAGS	:= $(DEFINES) -g -O3 \
+                 -fPIE -I$(LIBNX)/include/ -ffunction-sections -fdata-sections -ftls-model=local-exec -Wl,--allow-multiple-definition -specs=$(LIBNX)/switch.specs
+    CFLAGS += $(INCDIRS)
+    CFLAGS	+=	-D__SWITCH__ -DHAVE_LIBNX -march=armv8-a -mtune=cortex-a57 -mtp=soft
+    CXXFLAGS := $(ASFLAGS) -fno-rtti -std=gnu++11
+    CFLAGS += -std=gnu11
+    CFLAGS += -DUSE_FILE32API
+    STATIC_LINKING = 1
 
 # Nintendo WiiU
 else ifeq ($(platform), wiiu)
@@ -176,7 +200,7 @@
    CXX = powerpc-eabi-g++$(EXE_EXT)
    AR = powerpc-eabi-ar$(EXE_EXT)
    CFLAGS += -mwup -mcpu=750 -meabi -mhard-float -DMSB_FIRST
-   CFLAGS += -DUSE_FILE32API
+   CFLAGS += -DUSE_FILE32API -DNO_NETWORK
    CFLAGS += -U__INT32_TYPE__ -U __UINT32_TYPE__ -D__INT32_TYPE__=int
    STATIC_LINKING = 1
 
@@ -187,13 +211,56 @@
    CFLAGS += $(CXX_FLAGS)
    STATIC_LINKING=1
 
+# Classic Platforms ####################
+# Platform affix = classic_<ISA>_<µARCH>
+# Help at https://modmyclassic.com/comp
+
+# (armv7 a7, hard point, neon based) ### 
+# NESC, SNESC, C64 mini 
+else ifeq ($(platform), classic_armv7_a7)
+	TARGET := $(TARGET_NAME)_libretro.so
+	fpic := -fPIC
+    LDFLAGS := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
+	CFLAGS += -Ofast \
+	-flto=4 -fwhole-program -fuse-linker-plugin \
+	-fdata-sections -ffunction-sections -Wl,--gc-sections \
+	-fno-stack-protector -fno-ident -fomit-frame-pointer \
+	-falign-functions=1 -falign-jumps=1 -falign-loops=1 \
+	-fno-unwind-tables -fno-asynchronous-unwind-tables -fno-unroll-loops \
+	-fmerge-all-constants -fno-math-errno \
+	-marm -mtune=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard
+	CXXFLAGS += $(CFLAGS)
+	CPPFLAGS += $(CFLAGS)
+	ASFLAGS += $(CFLAGS)
+	ifeq ($(shell echo `$(CC) -dumpversion` "< 4.9" | bc -l), 1)
+	  CFLAGS += -march=armv7-a
+	else
+	  CFLAGS += -march=armv7ve
+	  # If gcc is 5.0 or later
+	  ifeq ($(shell echo `$(CC) -dumpversion` ">= 5" | bc -l), 1)
+	    LDFLAGS += -static-libgcc -static-libstdc++
+	  endif
+	endif
+#######################################
+
+else ifeq ($(platform), genode)
+   TARGET   := $(TARGET_NAME)_libretro.lib.so
+   CC       := $(shell pkg-config genode-base --variable=cc)
+   CXX      := $(shell pkg-config genode-base --variable=cxx)
+   LD       := $(shell pkg-config genode-base --variable=ld)
+   CFLAGS   += $(shell pkg-config --cflags genode-libc)
+   CXXFLAGS += $(shell pkg-config --cflags genode-stdcxx)
+   LDFLAGS  += -shared --version-script=link.T
+   LDFLAGS  += $(shell pkg-config --libs genode-lib genode-libc genode-stdcxx)
+   LIBM =
+
 # Windows MSVC 2003 Xbox 1
 else ifeq ($(platform), xbox1_msvc2003)
 TARGET := $(TARGET_NAME)_libretro_xdk1.lib
 CC  = CL.exe
 CXX  = CL.exe
 LD   = lib.exe
-
+LOAD_FROM_FILES := 1
 export INCLUDE := $(XDK)/xbox/include
 export LIB := $(XDK)/xbox/lib
 PATH := $(call unixcygpath,$(XDK)/xbox/bin/vc71):$(PATH)
@@ -224,6 +291,8 @@
 	CC  = cl.exe
 	CXX = cl.exe
 
+LOAD_FROM_FILES := 1
+CFLAGS += -DLOAD_FROM_FILES
 PATH := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/bin"):$(PATH)
 PATH := $(PATH):$(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../IDE")
 INCLUDE := $(shell IFS=$$'\n'; cygpath "$(VS71COMNTOOLS)../../Vc7/include")
@@ -245,7 +314,13 @@
    SHARED := -shared -static-libgcc -static-libstdc++ -s -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
 endif
 
+LIBM    ?= -lm
 LDFLAGS += $(LIBM)
+
+ifneq ($(LOAD_FROM_FILES),)
+CFLAGS += -DLOAD_FROM_FILES
+LDFLAGS += -lminizip
+endif
 
 ifneq ($(DEBUG),)
 CFLAGS += -g -pg -DDEBUG
@@ -256,7 +331,7 @@
 endif
 endif
 
-CFLAGS += -DMRBOOM -D_FORTIFY_SOURCE=0 -DPLATFORM=$(platform) -DGIT_VERSION=\"$(GIT_VERSION)\"
+CFLAGS += -DMRBOOM -DHAVE_IBXM -D_FORTIFY_SOURCE=0 -DPLATFORM=\"$(platform)\" -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
 
@@ -280,7 +355,6 @@
 CFLAGS += -D__LIBRETRO__
 endif
 
-
 ifneq ($(TESTS),)
 ifeq ($(platform), win)
 LDFLAGS += -mwindows
@@ -294,8 +368,7 @@
 endif
 endif
 
-CXXFLAGS := $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
-
+CXXFLAGS += $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
 ifneq ($(LIBSDL2),)
 CXXFLAGS += -std=c++11
 else
@@ -321,11 +394,17 @@
 all: $(TARGET)
 
 $(TARGET): $(OBJECTS)
+	@echo "** BUILDING $(TARGET) FOR PLATFORM $(platform) **"
 ifeq ($(STATIC_LINKING), 1)
 	$(AR) rcs $@ $(OBJECTS)
 else
+ifeq ($(platform),genode)
+	$(LD) -o $@ $(OBJECTS) $(LDFLAGS)
+else
 	$(CXX) $(fpic) $(SHARED) $(INCLUDES) -o $@ $(OBJECTS) $(LDFLAGS)
 endif
+endif
+	@echo "** BUILD SUCCESSFUL! GG NO RE **"
 
 %.o: %.c
 	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
@@ -337,33 +416,3 @@
 	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
 
 mrboom: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
-
-CLEAN_TARGETS = $(OBJECTS)
-ifneq ($(TESTS),)
-CLEAN_TARGETS += $(TARGET)
-endif
-
-clean:
-	rm -f *.o */*.o */*/*.o
-
-strip:
-	$(STRIP) $(TARGET_NAME).out
-
-install: strip
-	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(BINDIR)
-	$(INSTALL) -m 555 $(TARGET_NAME).out $(DESTDIR)$(PREFIX)/$(BINDIR)/$(TARGET_NAME)
-	$(INSTALL) -m 0755 -d $(DESTDIR)$(PREFIX)/$(MANDIR)
-	$(INSTALL) -m 644 Assets/$(TARGET_NAME).6 $(DESTDIR)$(PREFIX)/$(MANDIR) 
-
-install-libretro:
-	$(INSTALL) -D -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
-	$(INSTALL) -D -m 644 Assets/mrboom.png $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
-	$(INSTALL) -D -m 644 Assets/mrboom.libretro $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
-
-uninstall-libretro:
-	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/$(TARGET)
-	$(RM) $(DESTDIR)$(PREFIX)/$(DATADIR)/icons/hicolor/1024x1024/apps/mrboom.png
-	$(RM) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(LIBRETRO_DIR)/mrboom.libretro
-
-.PHONY: clean install-libretro uninstall-libretro

=== debian/changelog ===
mrboom (4.7-1) unstable; urgency=medium

  * New upstream version.
  * Fix short description, wrong plural.
  * Use upstream desktop file.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Jan 2019 07:45:45 +0100

mrboom (4.6-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 14 Jan 2019 12:56:55 +0100

=== debian/control ===
Source: mrboom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), libsdl2-dev, libsdl2-mixer-dev,
 libminizip-dev, libopenmpt-modplug-dev | libmodplug-dev
Standards-Version: 4.1.4
Homepage: http://mrboom.mumblecore.org/

Package: mrboom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 8 player Bomberman
 This is an SDL2 version of the original 1999 version of Mr. Boom. The goal of
 the game is to bomb away your enemies and other players.

## mrboom 4.8

=== Makefile ===
--- 
+++ 
@@ -232,6 +232,7 @@
 	CXXFLAGS += $(CFLAGS)
 	CPPFLAGS += $(CFLAGS)
 	ASFLAGS += $(CFLAGS)
+	HAVE_NEON = 1
 	ifeq ($(shell echo `$(CC) -dumpversion` "< 4.9" | bc -l), 1)
 	  CFLAGS += -march=armv7-a
 	else
@@ -335,8 +336,10 @@
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
 
+
 include Makefile.common
 OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
+
 
 ifneq ($(LIBSDL2),)
 CFLAGS += -D__LIBSDL2__ -Isdl2/xBRZ 
@@ -394,7 +397,6 @@
 all: $(TARGET)
 
 $(TARGET): $(OBJECTS)
-	@echo "** BUILDING $(TARGET) FOR PLATFORM $(platform) **"
 ifeq ($(STATIC_LINKING), 1)
 	$(AR) rcs $@ $(OBJECTS)
 else
@@ -404,7 +406,9 @@
 	$(CXX) $(fpic) $(SHARED) $(INCLUDES) -o $@ $(OBJECTS) $(LDFLAGS)
 endif
 endif
-	@echo "** BUILD SUCCESSFUL! GG NO RE **"
+
+%.o: %.S
+	$(CC) $(CFLAGS) -c -o $@ $<
 
 %.o: %.c
 	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
@@ -416,3 +420,6 @@
 	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
 
 mrboom: $(OBJECTS)
+	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
+
+CLEAN_TARGETS = $(OBJECTS)

=== debian/changelog ===
mrboom (4.8-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:02:57 +0000

mrboom (4.8-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 11 Aug 2019 11:22:42 +0200

## mrboom 4.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-#libretro-buildbot
 
 STATIC_LINKING := 0
 AR             := ar
@@ -139,6 +138,17 @@
 CFLAGS += -miphoneos-version-min=5.0 -DIOS -DDONT_WANT_ARM_OPTIMIZATIONS
 endif
 
+# tvOS
+else ifeq ($(platform), tvos-arm64)
+   TARGET := $(TARGET_NAME)_libretro_tvos.dylib
+   fpic := -fPIC
+   SHARED := -dynamiclib
+   DEFINES := -DIOS
+   CFLAGS += -DDONT_WANT_ARM_OPTIMIZATIONS
+ifeq ($(IOSSDK),)
+   IOSSDK := $(shell xcodebuild -version -sdk appletvos Path)
+endif
+
 # QNX
 else ifneq (,$(findstring qnx,$(platform)))
 	TARGET := $(TARGET_NAME)_libretro_qnx.so
@@ -220,7 +230,7 @@
 else ifeq ($(platform), classic_armv7_a7)
 	TARGET := $(TARGET_NAME)_libretro.so
 	fpic := -fPIC
-    LDFLAGS := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
+  LDFLAGS := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
 	CFLAGS += -Ofast \
 	-flto=4 -fwhole-program -fuse-linker-plugin \
 	-fdata-sections -ffunction-sections -Wl,--gc-sections \
@@ -286,7 +296,14 @@
 CXXFLAGS += -D_XBOX -D_XBOX360
 STATIC_LINKING=1
 HAS_GCC := 0
-
+else ifeq ($(platform), unix-armv7-hardfloat-neon)
+   TARGET := $(TARGET_NAME)_libretro.so
+   fpic := -fPIC
+   SHARED := -shared -Wl,--version-script=$(CORE_DIR)/link.T  -Wl,--no-undefined
+   LDFLAGS += -lm -lpthread
+   CFLAGS += -marm -march=armv7-a -mtune=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard
+   PLATFLAGS += -DRETRO -DALIGN_DWORD -DARM
+   HAVE_NEON = 1
 # Windows MSVC 2003 x86
 else ifeq ($(platform), windows_msvc2003_x86)
 	CC  = cl.exe
@@ -310,7 +327,7 @@
 CFLAGS += -D_CRT_SECURE_NO_DEPRECATE
 
 else
-   CC = gcc
+   CC ?= gcc
    TARGET := $(TARGET_NAME)_libretro.dll
    SHARED := -shared -static-libgcc -static-libstdc++ -s -Wl,--version-script=$(CORE_DIR)/link.T -Wl,--no-undefined
 endif
@@ -328,21 +345,36 @@
 LDFLAGS += -g -pg
 else
 ifneq ($(system_platform),freebsd)
+ifeq ($(FALCON),)
 CFLAGS += -O3
+else
+ifneq ($(PADDING_FALCON),)
+CFLAGS += -DPADDING_FALCON=$(PADDING_FALCON) 
+endif
+LDFLAGS += -Wl,-Map,f.map
+CFLAGS += -O3
+endif
 endif
 endif
 
 CFLAGS += -DMRBOOM -DHAVE_IBXM -D_FORTIFY_SOURCE=0 -DPLATFORM=\"$(platform)\" -DGIT_VERSION=\"$(GIT_VERSION)\"
 
 SDL2LIBS :=  -lSDL2  -lSDL2_mixer -lminizip -lmodplug
-
+ifneq ($(FALCON),)
+SDLLIBS := -mshort -L/usr/m68k-atari-mint/sys-root/usr/lib/m68020-60 -lSDL_mixer -lSDL -lSDLmain -lFLAC -lmikmod -lgem -lldg  -lgem -lm -lvorbisfile -lvorbis -logg -lmpg123 
+else
+ SDLLIBS :=  -lSDL_mixer -lSDL -lSDLmain
+ifeq ($(platform), osx)
+  SDLLIBS += -framework Cocoa -L/usr/local/lib
+endif
+endif
 
 include Makefile.common
 OBJECTS := $(SOURCES_CXX:.cpp=.o) $(SOURCES_C:.c=.o) $(SOURCES_ASM:.S=.o)
 
 
 ifneq ($(LIBSDL2),)
-CFLAGS += -D__LIBSDL2__ -Isdl2/xBRZ 
+CFLAGS += -D__LIBSDL2__ -DLOAD_FROM_FILES -Isdl2/xBRZ 
 ifneq ($(MINGW),)
 PATH := /${MINGW}/bin:${PATH}
 CFLAGS += -I/${MINGW}/include
@@ -355,71 +387,4 @@
 endif
 endif
 else
-CFLAGS += -D__LIBRETRO__
-endif
-
-ifneq ($(TESTS),)
-ifeq ($(platform), win)
-LDFLAGS += -mwindows
-else
-ifneq ($(platform), osx)
-LDFLAGS += -lrt
-endif
-endif
-ifeq ($(TESTS), 2)
-CFLAGS += -DAITEST
-endif
-endif
-
-CXXFLAGS += $(CFLAGS) $(INCFLAGS) -Wall -pedantic $(fpic)
-ifneq ($(LIBSDL2),)
-CXXFLAGS += -std=c++11
-else
-CXXFLAGS += -std=c++98
-endif
-
-ifneq ($(SCREENSHOTS),)
-CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
-endif
-
-ifneq ($(STATETESTS),)
-CXXFLAGS += -std=c++11 -Isdl2/xBRZ 
-endif
-
-CFLAGS += $(INCFLAGS) -Wall -pedantic $(fpic)
-
-ifneq (,$(findstring qnx,$(platform)))
-CFLAGS += -Wc,-std=c99
-else
-CFLAGS += -std=gnu99
-endif
-
-all: $(TARGET)
-
-$(TARGET): $(OBJECTS)
-ifeq ($(STATIC_LINKING), 1)
-	$(AR) rcs $@ $(OBJECTS)
-else
-ifeq ($(platform),genode)
-	$(LD) -o $@ $(OBJECTS) $(LDFLAGS)
-else
-	$(CXX) $(fpic) $(SHARED) $(INCLUDES) -o $@ $(OBJECTS) $(LDFLAGS)
-endif
-endif
-
-%.o: %.S
-	$(CC) $(CFLAGS) -c -o $@ $<
-
-%.o: %.c
-	$(CC) $(CFLAGS) $(fpic) -c -o $@ $<
-
-%.res: %.rc
-	windres $< -O coff -o $@
-
-mrboomTest: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o mrboomTest.out $(LDFLAGS)
-
-mrboom: $(OBJECTS)
-	$(CXX) $(fpic) $(OBJECTS) -o $(TARGET_NAME).out $(LDFLAGS)
-
-CLEAN_TARGETS = $(OBJECTS)
+ifneq ($(LIBSDL),)

=== libretro-common/audio/dsp_filters/Makefile ===
compiler    := gcc
extra_flags :=
use_neon    := 0
build       = release
DYLIB	      := so
PREFIX      := /usr
INSTALLDIR  := $(PREFIX)/lib/retroarch/filters/audio

ifeq ($(platform),)
   platform = unix
   ifeq ($(shell uname -a),)
      platform = win
   else ifneq ($(findstring MINGW,$(shell uname -a)),)
      platform = win
   else ifneq ($(findstring Darwin,$(shell uname -a)),)
      platform = osx
      arch = intel
      ifeq ($(shell uname -p),powerpc)
         arch = ppc
      endif
   else ifneq ($(findstring win,$(shell uname -a)),)
      platform = win
   endif
endif

ifeq ($(platform),gcc)
   extra_rules_gcc := $(shell $(compiler) -dumpmachine)
endif

ifneq (,$(findstring armv7,$(extra_rules_gcc)))
   extra_flags += -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon
   use_neon := 1
endif

ifneq (,$(findstring hardfloat,$(extra_rules_gcc)))
   extra_flags += -mfloat-abi=hard
endif

ifeq (release,$(build))
   extra_flags += -O2
endif

ifeq (debug,$(build))
   extra_flags += -O0 -g
endif

ldflags := $(LDFLAGS) -shared -lm -Wl,--version-script=link.T

ifeq ($(platform), unix)
   DYLIB = so
else ifeq ($(platform), osx)
   compiler := $(CC)
   DYLIB = dylib
   ldflags := -dynamiclib
else
   extra_flags += -static-libgcc -static-libstdc++
   DYLIB = dll
endif

CC      := $(compiler) -Wall
CXX     := $(subst CC,++,$(compiler)) -std=gnu++0x -Wall
flags   := $(CPPFLAGS) $(CFLAGS) -fPIC $(extra_flags) -I../../include
asflags := $(ASFLAGS) -fPIC  $(extra_flags)
objects :=

ifeq (1,$(use_neon))
   ASMFLAGS := -INEON/asm
   asflags += -mfpu=neon
endif

plugs := $(wildcard *.c)
objects := $(plugs:.c=.o)
targets := $(objects:.o=.$(DYLIB))

all: build;

%.o: %.S
	$(CC) -c -o $@ $(asflags)  $(ASMFLAGS)  $<

%.o: %.c
	$(CC) -c -o $@ $(flags) $<

%.$(DYLIB): %.o
	$(CC) -o $@ $(ldflags) $(flags) $^

build: $(targets)

clean:
	rm -f *.o
	rm -f *.$(DYLIB)

strip:
	strip -s *.$(DYLIB)

install:
	mkdir -p $(DESTDIR)$(INSTALLDIR)
	cp -t $(DESTDIR)$(INSTALLDIR) $(targets) *.dsp

test-install:
	DESTDIR=/tmp/build $(MAKE) install

=== libretro-common/samples/net/Makefile ===
TARGETS  = http_test net_ifinfo

LIBRETRO_COMM_DIR := ../..

INCFLAGS = -I$(LIBRETRO_COMM_DIR)/include

ifeq ($(platform),)
platform = unix
ifeq ($(shell uname -a),)
   platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   platform = osx
	arch = intel
ifeq ($(shell uname -p),powerpc)
	arch = ppc
endif
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   platform = win
endif
endif

ifeq ($(DEBUG),1)
CFLAGS += -O0 -g
else
CFLAGS += -O2
endif
CFLAGS += -Wall -pedantic -std=gnu99

HTTP_TEST_C = \
				  $(LIBRETRO_COMM_DIR)/net/net_http.c \
				  $(LIBRETRO_COMM_DIR)/net/net_compat.c \
				  $(LIBRETRO_COMM_DIR)/net/net_socket.c \
				  $(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
				  $(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
				  $(LIBRETRO_COMM_DIR)/string/stdstring.c \
				  net_http_test.c

HTTP_TEST_OBJS := $(HTTP_TEST_C:.c=.o)

NET_IFINFO_C = \
					$(LIBRETRO_COMM_DIR)/net/net_ifinfo.c \
					net_ifinfo_test.c

ifeq ($(platform), win)
CFLAGS += -liphlpapi -lws2_32
endif

NET_IFINFO_OBJS := $(NET_IFINFO_C:.c=.o)

.PHONY: all clean

all: $(TARGETS)

%.o: %.c
	$(CC) $(INCFLAGS) $< -c $(CFLAGS) -o $@

http_test: $(HTTP_TEST_OBJS)
	$(CC) $(INCFLAGS) $(HTTP_TEST_OBJS) $(CFLAGS) -o $@

net_ifinfo: $(NET_IFINFO_OBJS)
	$(CC) $(INCFLAGS) $(NET_IFINFO_OBJS) $(CFLAGS) -o $@

clean:
	rm -rf $(TARGETS) $(HTTP_TEST_OBJS) $(NET_IFINFO_OBJS)

=== libretro-common/samples/utils/Makefile ===
compiler    := gcc
extra_flags :=
use_neon    := 0
release	   := release
EXE_EXT	      :=

ifeq ($(platform),)
platform = unix
ifeq ($(shell uname -a),)
   platform = win
else ifneq ($(findstring MINGW,$(shell uname -a)),)
   platform = win
else ifneq ($(findstring Darwin,$(shell uname -a)),)
   platform = osx
   arch = intel
ifeq ($(shell uname -p),powerpc)
   arch = ppc
endif
else ifneq ($(findstring win,$(shell uname -a)),)
   platform = win
endif
endif

ifeq ($(compiler),gcc)
extra_rules_gcc := $(shell $(compiler) -dumpmachine)
endif

ifneq (,$(findstring armv7,$(extra_rules_gcc)))
extra_flags += -mcpu=cortex-a9 -mtune=cortex-a9 -mfpu=neon
use_neon := 1
endif

ifneq (,$(findstring hardfloat,$(extra_rules_gcc)))
extra_flags += -mfloat-abi=hard
endif

ifeq (release,$(build))
extra_flags += -O2
endif

ifeq (debug,$(build))
extra_flags += -O0 -g
endif

ldflags :=

EXE_EXT :=
ifeq ($(platform), unix)
else ifeq ($(platform), osx)
compiler := $(CC)
else
EXE_EXT = .exe
endif

LIBRETRO_COMM_DIR := ../..
CORE_DIR := $(LIBRETRO_COMM_DIR)/utils

CC      := $(compiler)
CXX     := $(subst CC,++,$(compiler))
flags   := -I$(LIBRETRO_COMM_DIR)/include
asflags := $(extra_flags)
LDFLAGS :=
flags   += -std=c99 -DMD5_BUILD_UTILITY -DSHA1_BUILD_UTILITY

ifeq (1,$(use_neon))
ASMFLAGS := -INEON/asm
asflags += -mfpu=neon
endif

OBJS += $(CORE_DIR)/djb2.o \
		  $(CORE_DIR)/md5.o \
		  $(CORE_DIR)/sha1.o \
		  $(CORE_DIR)/sha1_main.o \
		  $(CORE_DIR)/crc32.o

UTILS := djb2$(EXE_EXT) md5$(EXE_EXT) sha1$(EXE_EXT) crc32$(EXE_EXT)

all: $(UTILS)

djb2$(EXE_EXT): $(CORE_DIR)/djb2.o

md5$(EXE_EXT): $(CORE_DIR)/md5.o

sha1$(EXE_EXT): $(CORE_DIR)/sha1.o $(CORE_DIR)/sha1_main.o

crc32$(EXE_EXT): $(CORE_DIR)/crc32.o $(CORE_DIR)/../encodings/encoding_crc32.o

%.o: %.S
	$(CC) -c -o $@ $(asflags) $(LDFLAGS)  $(ASMFLAGS)  $<

%.o: %.c
	$(CC) -c -o $@ $(flags) $<

$(UTILS):
	$(CC) -o $@ $(ldflags) $(flags) $^

clean:
	rm -f $(CORE_DIR)/*.o
	rm -f $(UTILS)

strip:
	strip -s $(UTILS)

=== libretro-common/formats/xml/test/Makefile ===
TARGET := rxml

LIBRETRO_XML_DIR  := ..
LIBRETRO_COMM_DIR := ../../..

SOURCES := \
	rxml_test.c \
	$(LIBRETRO_XML_DIR)/rxml.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c

OBJS := $(SOURCES:.c=.o)

CFLAGS += -DRXML_TEST -Wall -pedantic -std=gnu99 -g -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== libretro-common/samples/file/nbio/Makefile ===
TARGET := nbio_test

LIBRETRO_COMM_DIR := ../../..

SOURCES := \
	nbio_test.c \
	$(LIBRETRO_COMM_DIR)/compat/fopen_utf8.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_intf.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_linux.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_unixmmap.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_windowsmmap.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_stdio.c

OBJS := $(SOURCES:.c=.o)

CFLAGS += -Wall -pedantic -std=gnu99 -g -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== libretro-common/samples/formats/png/Makefile ===
TARGET := rpng

CORE_DIR          := .
LIBRETRO_PNG_DIR  := ../../../formats/png
LIBRETRO_COMM_DIR := ../../..

HAVE_IMLIB2=0

LDFLAGS +=  -lz

ifeq ($(HAVE_IMLIB2),1)
CFLAGS += -DHAVE_IMLIB2
LDFLAGS += -lImlib2
endif

SOURCES_C := 	\
	$(CORE_DIR)/rpng_test.c \
	$(LIBRETRO_PNG_DIR)/rpng.c \
	$(LIBRETRO_PNG_DIR)/rpng_encode.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_crc32.c \
	$(LIBRETRO_COMM_DIR)/encodings/encoding_utf.c \
	$(LIBRETRO_COMM_DIR)/string/stdstring.c \
	$(LIBRETRO_COMM_DIR)/compat/fopen_utf8.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strl.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_posix_string.c \
	$(LIBRETRO_COMM_DIR)/compat/compat_strcasestr.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_intf.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_stdio.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_linux.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_unixmmap.c \
	$(LIBRETRO_COMM_DIR)/file/nbio/nbio_windowsmmap.c \
	$(LIBRETRO_COMM_DIR)/file/archive_file.c \
	$(LIBRETRO_COMM_DIR)/file/archive_file_zlib.c \
	$(LIBRETRO_COMM_DIR)/file/file_path.c \
	$(LIBRETRO_COMM_DIR)/streams/file_stream.c \
	$(LIBRETRO_COMM_DIR)/vfs/vfs_implementation.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream_zlib.c \
	$(LIBRETRO_COMM_DIR)/streams/trans_stream_pipe.c \
	$(LIBRETRO_COMM_DIR)/lists/string_list.c

OBJS := $(SOURCES_C:.c=.o)

CFLAGS += -Wall -pedantic -std=gnu99 -O0 -g -DHAVE_ZLIB -DRPNG_TEST -I$(LIBRETRO_COMM_DIR)/include

all: $(TARGET)

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

clean:
	rm -f $(TARGET) $(OBJS)

.PHONY: clean

=== debian/changelog ===
mrboom (4.9-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 06 Jan 2020 09:11:34 +0100

mrboom (4.8-2) unstable; urgency=medium

  * Apply patch to fix FTCBFS: Thanks Helmut Grohne. (Closes: #934798)
    + Let dh_auto_build pass cross tools to make.
    + Don't strip during make install.
  * d/control: add Vcs fields.
  * Bump standards version to 4.4.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 17 Sep 2019 09:26:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), libsdl2-dev, libsdl2-mixer-dev,
  libminizip-dev, libopenmpt-modplug-dev | libmodplug-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/games-team/mrboom.git
+Vcs-Browser: https://salsa.debian.org/games-team/mrboom
 Homepage: http://mrboom.mumblecore.org/
 
 Package: mrboom

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/Javanaise/mrboom-libretro/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
